#---------------------------------------------------------------------#
# Ĵ adj_meeting                                      #
#                                                                     #
# Copyright (c) 1995 matsuo@present.forus.or.jp. All rights reserved. #
#---------------------------------------------------------------------#


%wday = (
	 0 => "",
	 1 => "",
	 2 => "",
	 3 => "",
	 4 => "",
	 5 => "",
	 6 => "",);

#----------------------
# 
#----------------------
sub today
{
    local($sec,$min,$hour,$mday,$mon,$year,$wday) = localtime(time);
    $mon++;

    return sprintf("%02d%02d%02d",$year,$mon,$mday);
}

#----------------------
# 
#----------------------
sub this_month
{
    local($sec,$min,$hour,$mday,$mon,$year,$wday) = localtime(time);
    $mon++;

    return sprintf("%02d%02d",$year,$mon);
}

#-------------------------------------------------------
# դϥե
#-------------------------------------------------------
sub date_form
{
    local($date) = @_;
    local(%selected_year,%selected_mon,%selected_day,$text);

    $date =~ /(\d\d)(\d\d)(\d\d)/ || return 0;

    $selected_year{$1 + 0} = ' selected';
    $selected_mon{$2 + 0} = ' selected';
    $selected_day{$3 + 0} = ' selected';

    $text = "<select name=year>\n";
    foreach $tmp (95 .. 99)
    {
	$text .= "<option$selected_year{$tmp}>$tmp\n";
    }

    $text .= "</select>ǯ\n<select name=mon>\n";
    foreach $tmp (01 .. 12)
    {
	$text .= "<option$selected_mon{$tmp}>$tmp\n";
    }

    $text .= "</select>\n<select name=day>\n";
    foreach $tmp (01 .. 31)
    {
	$text .= "<option$selected_day{$tmp}>$tmp\n";
    }

    $text .= "</select>\n";

    return $text;
}

#-------------------------------------------------------
# ֤դ
#-------------------------------------------------------
sub date31
{
    local($date) = @_;

    local(%date,$i,$time,
	$sec,$min,$hour,$mday,$mon,$year,$wday);

    $date =~ /(\d\d)(\d\d)(\d\d)/ || return 0;

    $year = $1;
    $mon = $2 -1;
    $mday = $3;

    $time = timelocal(1,1,1,$mday,$mon,$year);

    $i = 0;
    while($i <= 31)
    {
	($sec,$min,$hour,$mday,$mon,$year,$wday) = localtime($time);
	$time += 24 * 3600;
	$i++;
	$mon++;
	$date{sprintf("%02d%02d%02d",$year,$mon,$mday)} = $wday{$wday};
    }

    return %date;
}

#-------------------------------------------------------
# եɤߡϢ˳Ǽ
#-------------------------------------------------------
sub read_db
{
    local($file) = @_;

    local($text,@text,$line,%data);

    open(TMP,$file) || return %data;
    $text = join("",<TMP>);
    close(TMP);

    $text =~ s/\n\s+/ /g;
    @text = split(/\n/,$text);

    foreach $line (@text)
    {
	split(" ",$line,2);
	$data{$_[0]} = $_[1];
    }

    return %data;
}

#-------------------------------------------------------
# Ϣ˳Ǽ줿ǡե˥֤
#-------------------------------------------------------
sub save_db
{
    local($file,%data) = @_;

    open(TMP,"> $file") || return 0;

    foreach $key (sort keys %data)
    {
	print TMP "$key\t$data{$key}\n";
    }

    close(TMP);
    chmod(0666,$file);

    return 1;
}

#-------------------------------------------------------
# ϢΥȤȤʤ٤ʬ֤
#-------------------------------------------------------
sub pick_date_comment
{
    local(%data) = @_;

    local($tmp,$dc);

    foreach $tmp (grep(/^\d\d\d\d\d\d$/,keys %data))
    {
	if(defined($data{$tmp}))
	{
	    $dc{$tmp} = $data{$tmp . 'c'};
	}
    }

    return %dc;
}

1;	# happy return


